#
# /etc/cfengine/update.conf - for the clients
#

control:
	actionsequence  = ( copy )
	domain          = ( matrix.msu.edu )
	policyhost      = ( faihost.matrix.msu.edu  )

	#smtpserver      = ( exchange.matrix.msu.edu )
	#sysadm          = ( administrator@matrix.msu.edu )

	master_cfinput  = ( /etc/cfengine/clientfiles )
	repository      = ( /etc/cfengine/repository )

	# HATE DOING IT THIS WAY BUT DUE TO CURRENT CIRCUMSTANCES I MUST
	any.!bowser::
		BindToInterface = ( ${global.ipv4[eth0]} )
	bowser::
		BindToInterface = ( ${global.ipv4[br0]} )

#
# Download the most recent 'cfagent.conf' file from the
# server, and install it to /etc/cfengine
#

copy:
     $(master_cfinput)/cfcontrol/update.conf    dest=/etc/cfengine/update.conf
                                       mode=600
                                       server=$(policyhost)
                                       force=true
                                       trustkey=true

     $(master_cfinput)/cfcontrol/cfagent.conf    dest=/etc/cfengine/cfagent.conf
                                       mode=600
                                       server=$(policyhost)
                                       force=true
                                       trustkey=true

     $(master_cfinput)/cfcontrol/cf.main    dest=/etc/cfengine/cf.main
    					mode=600
					server=$(policyhost)
					force=true
					trustkey=true

     $(master_cfinput)/cfcontrol/cf.groups    dest=/etc/cfengine/cf.groups
    					mode=600
					server=$(policyhost)
					force=true
					trustkey=true
